import { WeaTools } from 'ecCom'

export const getBaseMenus = params => WeaTools.callApi('/api/integration/exchange/getExchangeRightMenu','POST', params);
export const getBaseInfoForm = params => WeaTools.callApi('/api/integration/exchange/GetFormCmd','GET', params);
export const getBaseInfoFormOperation = params => WeaTools.callApi('/api/integration/exchange/DoSaveCmd','POST', params);

//log
export const getExchangeLogList = params => WeaTools.callApi('/api/integration/exchange/getExchangeLogList','POST', params);
export const getExchangeCondition = params => WeaTools.callApi('/api/integration/exchange/getExchangeCondition','POST', params);

//USER
export const doSaveUserAndPwd = params => WeaTools.callApi('/api/integration/exchange/doSaveUserAndPwd','POST', params);
export const doOperationlimit = params => WeaTools.callApi('/api/integration/exchange/doOperationlimit','POST', params);

//Range
export const getExchangelimitsList = params => WeaTools.callApi('/api/integration/exchange/getExchangelimitsList','POST', params);
